#ifndef _UDM_UTILS_H
#define _UDM_UTILS_H

/* Some constants */
#define UDMSTRSIZ	1024*5


/* Some usefull MACROs */

#define free_it(x)		{if(x){free(x);x=NULL;}}
#define STRNCMP(x,y)		(strncmp(x,y,strlen(y)))
#define STRNCASECMP(x,y)	(strncasecmp(x,y,strlen(y)))
#define SKIP(s,set)		while((*s)&&(strchr(set,*s)))s++;
#define SKIPN(s,set)		while((*s)&&(!strchr(set,*s)))s++;
#define STREND(s)		(s+strlen(s))
#define STRNCPY(x,y)		{strncpy(x,y,sizeof(x));x[sizeof(x)-1]=0;}

/* Misc functions */
extern char * gettoken(char *s, const char *delim, char **last);
extern char * trim_chars(char *p, char * delim);
extern char * rtrim_chars(char* p, char *delim);
extern char * HtmlSpecialChars(char *str);
extern char * UnescapeCGIQuery(char *d,char *s);
extern char * EscapeHtml(char *d,char *s,char what);
extern char * EscapeURL(char *d,char *s);

#endif
