
extern char *url_file_name;

/* Some sizes and others definitions */
#define MAXDOCSIZE		1024*1024  /* 1Mb */
#define MAXWORDSIZE		32
#define DEFAULT_REINDEX_TIME	7*24*60*60
#define DEFAULT_MAX_HOPS	256
#define READ_TIMEOUT		90
#define MAXNETERRORS		16
#define MAXTITLESIZE		128
#define MAXTEXTSIZE		255
#define MAXKEYWORDSIZE		255
#define MAXDESCSIZE		100


/* Interface fuctions to be called in main() */

extern __INDLIB__ UDM_INDEXER  *AllocIndexer(int handle);
extern __INDLIB__ int IndexNextURL(UDM_INDEXER * Indexer,int index_flags);
extern __INDLIB__ void FreeIndexer(UDM_INDEXER *Indexer);
extern __INDLIB__ int ShowStatistics(UDM_INDEXER *Indexer);
extern __INDLIB__ int ClearDatabase(UDM_INDEXER *Indexer);
extern __INDLIB__ char * IndexerErrorMsg(UDM_INDEXER *Indexer);
extern __INDLIB__ void SetAction(UDM_INDEXER *Indexer,int action);
extern __INDLIB__ int LoadConfig(char *conf_name,int config_level,int load_flags);
extern __INDLIB__ char * ConfErrMsg();
extern __INDLIB__ int URLFile(UDM_INDEXER *Indexer, int action);
extern __INDLIB__ void SetMaxURLNumber(int n);

